Schema "fpml-fx-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 8780 $

Defined Components:

  3 global elements, 52 local elements, 16 complexTypes, 1 simpleType, 2 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\fpml-fx-5-3.xsd; see XML source

Includes Schema:

  fpml-option-shared-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
americanExercise (in fxOption) | The parameters for defining the exercise period for an American style option.
Type: | FxAmericanExercise
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FxOption complexType; see XML source
callCurrencyAmount | The currency amount that the option gives the right to buy.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
commencementDate (in americanExercise in fxOption) | The earliest date on which the option can be exercised.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
crossRate | An optional element that allow for definition of the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts.
Type: | CrossRate
Content: | complex, 6 elements
Defined: | locally witnin ExchangeRate complexType; see XML source
currency (defined in DualCurrencyFeature complexType) | The currency in which the principal and interest will be repaid.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
currency1ValueDate | The date on which the currency1 amount will be settled.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
currency2ValueDate | The date on which the currency2 amount will be settled.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
cutName | The code by which the expiry time is known in the market.
Type: | CutName
Content: | simple, 1 attribute
Defined: | locally witnin FxEuropeanExercise complexType; see XML source
dealtCurrency | Indicates which currency was dealt.
Type: | DealtCurrencyEnum
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
effectiveDate (in fxOption) | Effective date for a forward starting derivative.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
europeanExercise (in fxOption) | The parameters for defining the exercise period for an European style option.
Type: | FxEuropeanExercise
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FxOption complexType; see XML source
exchangedCurrency1 | This is the first of the two currency flows that define a single leg of a standard foreign exchange transaction.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
exchangedCurrency2 | This is the second of the two currency flows that define a single leg of a standard foreign exchange transaction.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
exchangeRate | The rate of exchange between the two currencies.
Type: | ExchangeRate
Content: | complex, 6 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
expiryDate (in americanExercise in fxOption) | The latest date on which the option can be exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
expiryDate (in europeanExercise in fxOption) | Represents a standard expiry date as defined for an FX OTC option.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxEuropeanExercise complexType; see XML source
expiryTime (in europeanExercise in fxOption) | Time at which the option expires on the expiry date.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin FxEuropeanExercise complexType; see XML source
farLeg | The FX transaction with the latest value date.
Type: | FxSwapLeg
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin FxSwap complexType; see XML source
fixingDate (defined in DualCurrencyFeature complexType) | The date on which the decion on delivery currency will be made.
Type: | xsd:date
Content: | simple
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
fixingTime (defined in DualCurrencyFeature complexType) | Time at which the option expires on the expiry date.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
forwardPoints (in crossRate) | An optional element used for deals consumated in the FX Forwards market.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CrossRate complexType; see XML source
forwardPoints (in exchangeRate) | An optional element used for deals consumated in the FX Forwards market.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
fxOption | An FX option transaction definition.
Type: | FxOption
Content: | complex, 1 attribute, 14 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fxSingleLeg | A simple FX spot or forward transaction definition.
Type: | FxSingleLeg
Content: | complex, 1 attribute, 13 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fxSwap | An FX Swap transaction definition.
Type: | FxSwap
Content: | complex, 1 attribute, 6 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
interestAtRisk | Specifies whether the interest component of the redemption amount is subject to conversion to the Alternate currency, in the event that the spot rate is strictly lower than the strike level at the specified fixing date and time.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
latestValueDate | The latest date on which both currencies traded will settle.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
maximumNotionalAmount (defined in FxMultipleExercise complexType) | The maximum amount of notiional that can be exercised.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxMultipleExercise complexType; see XML source
minimumNotionalAmount (defined in FxMultipleExercise complexType) | The minimum amount of notional that can be exercised.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxMultipleExercise complexType; see XML source
nearLeg | The FX transaction with the earliest value date.
Type: | FxSwapLeg
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin FxSwap complexType; see XML source
pointValue | An optional element that documents the size of point (pip) in which a rate was quoted (or in this case, forwardPoints are calculated).
Type: | PointValue
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
premium (in fxOption) | Premium amount or premium installment amount for an option.
Type: | FxOptionPremium
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FxOption complexType; see XML source
putCurrencyAmount | The currency amount that the option gives the right to sell.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
quote (in premium in fxOption) | This is the option premium as quoted.
Type: | PremiumQuote
Content: | complex, 2 elements
Defined: | locally witnin FxOptionPremium complexType; see XML source
quoteBasis (in quote in premium in fxOption) | The method by which the option premium was quoted.
Type: | PremiumQuoteBasisEnum
Content: | simple
Defined: | locally witnin PremiumQuote complexType; see XML source
quotedCurrencyPair (in exchangeRate) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin ExchangeRate complexType; see XML source
rate (in crossRate) | The exchange rate used to cross between the traded currencies.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin CrossRate complexType; see XML source
rate (in exchangeRate) | The rate of exchange between the two currencies of the leg of a deal.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
rate (in strike defined in DualCurrencyFeature complexType) | The rate of exchange between the two currencies of the leg of a deal.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin DualCurrencyStrikePrice complexType; see XML source
rate (in strike in fxOption) | The rate of exchange between the two currencies of the leg of a deal.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxStrikePrice complexType; see XML source
soldAs | Indicates how the product was original sold as a Put or a Call.
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin FxOption complexType; see XML source
spotRate (defined in DualCurrencyFeature complexType) | The spot rate at the time the trade was agreed.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
spotRate (in crossRate) | An optional element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin CrossRate complexType; see XML source
spotRate (in exchangeRate) | An element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
spotRate (in fxOption) | An optional element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxOption complexType; see XML source
strike (defined in DualCurrencyFeature complexType) | The strike rate at which the deposit will be converted.
Type: | DualCurrencyStrikePrice
Content: | complex, 2 elements
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
strike (in fxOption) | Defines the option strike price.
Type: | FxStrikePrice
Content: | complex, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
strikeQuoteBasis (in strike defined in DualCurrencyFeature complexType) | The method by which the strike rate is quoted, in terms of the deposit (principal) and alternate currencies.
Type: | DualCurrencyStrikeQuoteBasisEnum
Content: | simple
Defined: | locally witnin DualCurrencyStrikePrice complexType; see XML source
strikeQuoteBasis (in strike in fxOption) | The method by which the strike rate is quoted.
Type: | StrikeQuoteBasisEnum
Content: | simple
Defined: | locally witnin FxStrikePrice complexType; see XML source
tenorName | A tenor expressed with a standard business term (i.e.
Type: | anonymous simpleType (restriction of FxTenorPeriodEnum)
Content: | simple
Defined: | locally witnin FxTenor.model group; see XML source
tenorPeriod (defined in FxTenor.model group) | A tenor expressed as a period type and multiplier (e.g. 1D, 1Y, etc.)
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxTenor.model group; see XML source
tenorPeriod (in fxOption) | A tenor expressed as a period type and multiplier (e.g. 1D, 1Y, etc.)
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
value (in quote in premium in fxOption) | The value of the premium quote.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PremiumQuote complexType; see XML source
valueDate (defined in FxCoreDetails.model group) | The date on which both currencies traded will settle.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
valueDate (in europeanExercise in fxOption) | The date on which both currencies traded will settle.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxEuropeanExercise complexType; see XML source

Complex Type Summary
CrossRate | A type that is used for including the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CutName | Allows for an expiryDateTime cut to be described by name.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DualCurrencyFeature | Describes the parameters for a dual currency deposit.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | never
DualCurrencyStrikePrice | A type that describes the rate of exchange at which the embedded option in a Dual Currency Deposit has been struck.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ExchangeRate | A type that is used for describing the exchange rate for a particular transaction.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
FxAmericanExercise | Describes the characteristics for american exercise of FX products.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Used: | at 1 location
FxDigitalAmericanExercise | Descrines the characteristics for American exercise in FX digital options.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FxEuropeanExercise | Describes the characteristics for European exercise of FX products.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
FxMultipleExercise | Describes the limits on the size of notional when multiple exercise is allowed.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
FxOption | Describes an FX option with optional asian and barrier features.
Content: | complex, 1 attribute, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location
FxOptionPremium | A type that specifies the premium exchanged for a single option trade or option strategy.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
FxSingleLeg | A type defining either a spot or forward FX transactions.
Content: | complex, 1 attribute, 13 elements
Defined: | globally; see XML source
Used: | at 1 location
FxStrikePrice | A type that describes the rate of exchange at which the option has been struck.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxSwap | A type defining either a spot/forward or forward/forward FX swap transaction.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxSwapLeg |
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Used: | at 2 locations
PremiumQuote | A type that describes the option premium as quoted.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Simple Type Summary
PointValue | Constrains the forward point tick/pip factor to 1, 0.1, 0.01, 0.001, etc.
Defined: | globally; see XML source
Used: | at 1 location

Element Group Summary
FxCoreDetails.model | The elements common to FX spot, forward and swap legs.
Content: | 9 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 2 locations
FxTenor.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 8780 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-option-shared-5-3.xsd"/> <xsd:simpleType name="PointValue"> <xsd:annotation> <xsd:documentation> Constrains the forward point tick/pip factor to 1, 0.1, 0.01, 0.001, etc. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:decimal"> <xsd:pattern value="1"/> <xsd:pattern value="0.0*1"/> </xsd:restriction> </xsd:simpleType> <xsd:complexType name="CrossRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that is used for including the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="QuotedCurrencyPair"> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The exchange rate used to cross between the traded currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for deals consumated in the FX Forwards market. Forward points represent the interest rate differential between the two currencies traded and are quoted as a preminum or a discount. Forward points are added to, or subtracted from, the spot rate to create the rate of the forward trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CutName"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows for an expiryDateTime cut to be described by name. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/cut-name" name="cutNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DualCurrencyFeature"> <xsd:annotation> <xsd:documentation> Describes the parameters for a dual currency deposit. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation> The currency in which the principal and interest will be repaid. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the decion on delivery currency will be made. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Time at which the option expires on the expiry date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strike" type="DualCurrencyStrikePrice"> <xsd:annotation> <xsd:documentation> The strike rate at which the deposit will be converted. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The spot rate at the time the trade was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestAtRisk" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> Specifies whether the interest component of the redemption amount is subject to conversion to the Alternate currency, in the event that the spot rate is strictly lower than the strike level at the specified fixing date and time. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DualCurrencyStrikePrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the rate of exchange at which the embedded option in a Dual Currency Deposit has been struck. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strikeQuoteBasis" type="DualCurrencyStrikeQuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which the strike rate is quoted, in terms of the deposit (principal) and alternate currencies. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExchangeRate"> <xsd:annotation> <xsd:documentation> A type that is used for describing the exchange rate for a particular transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. Must be specified with a quote basis. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for deals consumated in the FX Forwards market. Forward points represent the interest rate differential between the two currencies traded and are quoted as a preminum or a discount. Forward points are added to, or subtracted from, the spot rate to create the rate of the forward trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pointValue" type="PointValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element that documents the size of point (pip) in which a rate was quoted (or in this case, forwardPoints are calculated). Point (pip) size varies by currency pair: major currencies are all traded in points of 0.0001, with the exception of JPY which has a point size of 0.01. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="crossRate" type="CrossRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element that allow for definition of the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxAmericanExercise"> <xsd:annotation> <xsd:documentation> Describes the characteristics for american exercise of FX products. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FxDigitalAmericanExercise"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED FxAsianFeature - NonStandardFeature--> <!--View Generation: SKIPPED FxAverageRateObservation - Unsupported--> <!--View Generation: SKIPPED FxAverageRateObservationSchedule - Unsupported--> <!--View Generation: SKIPPED FxBarrierFeature - NonStandardFeature--> <!--View Generation: SKIPPED FxBoundary - NonStandardFeature--> <xsd:complexType name="FxDigitalAmericanExercise"> <xsd:annotation> <xsd:documentation> Descrines the characteristics for American exercise in FX digital options. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation> The earliest date on which the option can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiryDate" type="xsd:date"> <xsd:annotation> <xsd:documentation> The latest date on which the option can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED expiryTime - Documentation--> <!--View Generation: SKIPPED cutName - Documentation--> <xsd:element minOccurs="0" name="latestValueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The latest date on which both currencies traded will settle. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED FxDigitalOption - Unsupported--> <xsd:complexType name="FxEuropeanExercise"> <xsd:annotation> <xsd:documentation> Describes the characteristics for European exercise of FX products. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="expiryDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Represents a standard expiry date as defined for an FX OTC option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiryTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Time at which the option expires on the expiry date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cutName" type="CutName"> <xsd:annotation> <xsd:documentation> The code by which the expiry time is known in the market. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which both currencies traded will settle. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxMultipleExercise"> <xsd:annotation> <xsd:documentation> Describes the limits on the size of notional when multiple exercise is allowed. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="minimumNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The minimum amount of notional that can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The maximum amount of notiional that can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxOption"> <xsd:annotation> <xsd:documentation> Describes an FX option with optional asian and barrier features. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Option"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Effective date for a forward starting derivative. If this element is not present, the effective date is the trade date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tenorPeriod" type="Period"> <xsd:annotation> <xsd:documentation> A tenor expressed as a period type and multiplier (e.g. 1D, 1Y, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:annotation> <xsd:documentation>Defines the parameters for option exercise.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="americanExercise" type="FxAmericanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the exercise period for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="europeanExercise" type="FxEuropeanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the exercise period for an European style option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED exerciseProcedure - Documentation--> </xsd:sequence> <xsd:sequence> <xsd:annotation> <xsd:documentation>Defines the underlying FX transaction.</xsd:documentation> </xsd:annotation> <xsd:element name="putCurrencyAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The currency amount that the option gives the right to sell. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="callCurrencyAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The currency amount that the option gives the right to buy. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="soldAs" type="PutCallEnum"> <xsd:annotation> <xsd:documentation> Indicates how the product was original sold as a Put or a Call. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="strike" type="FxStrikePrice"> <xsd:annotation> <xsd:documentation>Defines the option strike price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED features - NonStandardFeature--> <xsd:element name="premium" type="FxOptionPremium"> <xsd:annotation> <xsd:documentation> Premium amount or premium installment amount for an option. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED cashSettlement - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED FxOptionFeatures - NonStandardFeature--> <!--View Generation: SKIPPED FxOptionPayout - Unsupported--> <xsd:complexType name="FxOptionPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that specifies the premium exchanged for a single option trade or option strategy. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <!--View Generation: SKIPPED settlementInformation - Documentation--> <xsd:element minOccurs="0" name="quote" type="PremiumQuote"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the option premium as quoted. It is expected to be consistent with the premiumAmount and is for information only. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxSingleLeg"> <xsd:annotation> <xsd:documentation> A type defining either a spot or forward FX transactions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="FxCoreDetails.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxStrikePrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the rate of exchange at which the option has been struck. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strikeQuoteBasis" type="StrikeQuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The method by which the strike rate is quoted.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxSwap"> <xsd:annotation> <xsd:documentation> A type defining either a spot/forward or forward/forward FX swap transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element name="nearLeg" type="FxSwapLeg"> <xsd:annotation> <xsd:documentation>The FX transaction with the earliest value date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="farLeg" type="FxSwapLeg"> <xsd:annotation> <xsd:documentation>The FX transaction with the latest value date.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxSwapLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:annotation> <xsd:documentation> A type defining the details for one of the transactions in an FX swap. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="FxCoreDetails.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED FxTouch - NonStandardFeature--> <!--View Generation: SKIPPED FxTrigger - NonStandardFeature--> <!--View Generation: SKIPPED LowerBound - NonStandardFeature--> <!--View Generation: SKIPPED MoneyReference - NonStandardFeature--> <!--View Generation: SKIPPED ObservationSchedule - NonStandardFeature--> <xsd:complexType name="PremiumQuote"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the option premium as quoted. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="value" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value of the premium quote. In general this will be either a percentage or an explicit amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quoteBasis" type="PremiumQuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which the option premium was quoted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED TermDeposit - Unsupported--> <!--View Generation: SKIPPED TermDepositFeatures - Unsupported--> <!--View Generation: SKIPPED UpperBound - NonStandardFeature--> <xsd:group name="FxCoreDetails.model"> <xsd:annotation> <xsd:documentation> The elements common to FX spot, forward and swap legs. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="exchangedCurrency1" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the first of the two currency flows that define a single leg of a standard foreign exchange transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="exchangedCurrency2" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the second of the two currency flows that define a single leg of a standard foreign exchange transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dealtCurrency" type="DealtCurrencyEnum"> <xsd:annotation> <xsd:documentation>Indicates which currency was dealt.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="FxTenor.model"/> <xsd:choice> <xsd:element name="valueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which both currencies traded will settle. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="currency1ValueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the currency1 amount will be settled. To be used in a split value date scenario. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="currency2ValueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the currency2 amount will be settled. To be used in a split value date scenario. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:element name="exchangeRate" type="ExchangeRate"> <xsd:annotation> <xsd:documentation>The rate of exchange between the two currencies.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED nonDeliverableSettlement - Unsupported--> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED FxRateObservation.model - Unsupported--> <xsd:group name="FxTenor.model"> <xsd:choice> <xsd:element minOccurs="0" name="tenorName"> <xsd:annotation> <xsd:documentation> A tenor expressed with a standard business term (i.e. Spot, TomorrowNext, etc.) </xsd:documentation> </xsd:annotation> <xsd:simpleType> <xsd:restriction base="FxTenorPeriodEnum"/> </xsd:simpleType> </xsd:element> <xsd:element minOccurs="0" name="tenorPeriod" type="Period"> <xsd:annotation> <xsd:documentation> A tenor expressed as a period type and multiplier (e.g. 1D, 1Y, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:element name="fxSingleLeg" substitutionGroup="product" type="FxSingleLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A simple FX spot or forward transaction definition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxSwap" substitutionGroup="product" type="FxSwap"> <xsd:annotation> <xsd:documentation xml:lang="en">An FX Swap transaction definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxOption" substitutionGroup="product" type="FxOption"> <xsd:annotation> <xsd:documentation>An FX option transaction definition.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED fxDigitalOption - Unsupported--> <!--View Generation: SKIPPED termDeposit - Unsupported--> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.